#!/bin/bash

#
#    how to run this mess in a batch style
#


INCFILE="bloubs.inc"
TMPPNG="/dev/shm/bloubs7.png"
POVOPT="+Q9 +a -v -d -W640 -H480"
DDIR="frames"
LOGERR="log.error"

make all
err=$?
if [ $err -ne 0 ] ; then
	echo 'make error = ' $err
	exit 1
fi

#
#    first, we have to make a seminal buch of bloubs
#    --> this function need to be paraletrizable
#
./genbloubs in.blbs  10000

for idx in $(seq 0 50)
do

	echo "======== run passe $idx ========="

	./exportbloubs in.blbs | awk -f toinc.awk > $INCFILE

	povray -Iscene.pov -K${idx} -O${TMPPNG} ${POVOPT} 2> $LOGERR
	grep "Trace Tim" $LOGERR

	txt=$(date +'%F %R:%S')
	PNG=$(printf "%s/%05d.png" ${DDIR} $idx)
	echo $txt

	convert		${TMPPNG}			\
			-font fixed			\
			-pointsize 16			\
			-fill orange			\
			-gravity south-east		\
			-annotate +15+10 "$txt"		\
			$PNG

	echo $PNG '[done]'

	./movebloubs in.blbs out.blbs
	mv out.blbs in.blbs
	echo

done

rm $LOGERR

convert -delay 10  -colors 192 $DDIR/*.png foo.gif


